Documentation : Unconstrained Optimality Conditions with Scilab

Abstract

This document is a small introduction to 
optimality conditions and modelling with Scilab.
In the first section, we present several types of optimization problems,
and analyze in each case the conditions which allow to state that 
a given point is an optimum of the problem.
The theorems in the next sections allow to state first order and 
second order necessary conditions.
Our presentation focus on the unconstrained univariate problems 
and unconstrained multivariate problem.
In the second section, we describe how 
to reformulate a problem into another mathematically equivalent 
problem. The difficult part is that the problems may be 
mathematically equivalent, but still of very different conditioning,
i.e. one problem may be very difficult to solve while the other 
may be easier. In this section, we analyze such modeling issues so that 
transformation of problems can be the result of an aware choice.
We focus on the use of Scilab to check the optimality of a given point. 
We show how to use the spec function to check for the 
positivity of the Hessian matrix. 
We use the contour function to create contour plots and 
analyze their shapes depending on the function. 
We introduce to the limitation of floating point computations 
in optimization problems. 
We emphasize the use of the condition number of the Hessian matrix 
as a measure of the sensitivity of the optimization problem.
Exercises (and their answers) are provided.

Author

Copyright (C) 2008-2010 - Michael Baudin

Licence

This document is released under the terms of the Creative Commons Attribution-ShareAlike 3.0 Unported License :
http://creativecommons.org/licenses/by-sa/3.0/


